
/**
 * 
 */
package org.tio.sitexxx.server.http.stat.token;

import org.tio.sitexxx.server.utils.WebUtils;
import org.tio.http.common.HttpRequest;
import org.tio.http.server.intf.CurrUseridGetter;

/**
 * @author tanyaowu
 *
 */
public class TioSiteCurrUseridGetter implements CurrUseridGetter {

	public static TioSiteCurrUseridGetter me = new TioSiteCurrUseridGetter();

	@Override
	public String getUserid(HttpRequest request) {
		Integer ret = WebUtils.currUserId(request);
		if (ret != null) {
			return ret + "";
		}
		return null;
	}
}
